> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tasks

> List of tasks based on the filters provided as query parameters.

The Response Headers include
- `X-Mosey-Page-Size`: indicates requested page size
- `X-Mosey-Page`: indicates current page number
- `X-Mosey-Next-Page`: constructed endpoint to query the next page of tasks
- `X-Mosey-Total`: the total number of tasks



## OpenAPI

````yaml /openapi_v2.json get /v2/tasks
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/tasks:
    get:
      summary: List Tasks
      description: >-
        List of tasks based on the filters provided as query parameters.


        The Response Headers include

        - `X-Mosey-Page-Size`: indicates requested page size

        - `X-Mosey-Page`: indicates current page number

        - `X-Mosey-Next-Page`: constructed endpoint to query the next page of
        tasks

        - `X-Mosey-Total`: the total number of tasks
      operationId: List_Tasks_v2_tasks_get
      parameters:
        - name: region
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/StateCode'
              - type: 'null'
            title: Region
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PlatformTaskType'
              - type: 'null'
            title: Type
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/TaskStatus'
              - type: 'null'
            title: Statuses
        - name: tags
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/PlatformTaskTag'
              - type: 'null'
            title: Tags
        - name: categories
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/TaskCategory'
              - type: 'null'
            title: Categories
        - name: definition_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Definition Id
        - name: include_managed
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Managed
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: >-
              Tasks are paginated on a given page size. If no page size is
              specified, a default of 50 is used.
            default: 50
            title: Page Size
          description: >-
            Tasks are paginated on a given page size. If no page size is
            specified, a default of 50 is used.
        - name: page_num
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: >-
              Page number for the paginated tasks. If no page number is
              specified, a default of 1 is used.
            default: 1
            title: Page Num
          description: >-
            Page number for the paginated tasks. If no page number is specified,
            a default of 1 is used.
        - name: legal_entity_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Legal Entity Public Id
        - name: user_or_platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Or Platform Public Id
        - name: platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Platform Public Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlatformTask'
                title: Response List Tasks V2 Tasks Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    StateCode:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      title: StateCode
    PlatformTaskType:
      type: string
      enum:
        - requirement
        - question
      title: PlatformTaskType
    TaskStatus:
      type: string
      enum:
        - todo
        - deferred
        - in-progress
        - done
      title: TaskStatus
    PlatformTaskTag:
      type: string
      enum:
        - certificate-of-good-standing
        - charity-registration
        - charity-registration-renewal
        - employee-final-wage-payment
        - employee-new-hire-reporting
        - employee-onboarding
        - employee-requirement
        - employee-termination
        - exemption
        - foreign-qualification
        - handbook
        - initial-statement
        - local-business-exemption-setup
        - local-business-setup
        - local-business-registration-renewal
        - local-payroll-setup
        - local-business-tax-setup
        - newspaper-publication
        - notices
        - payroll-setup
        - registered-agent
        - sales-tax
        - setup
        - sos-report
        - warn-notice
      title: PlatformTaskTag
    TaskCategory:
      type: string
      enum:
        - hr
        - insurance
        - payroll
        - registration
        - registration-maintenance
        - tax
        - sales-tax
      title: TaskCategory
    PlatformTask:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        status:
          $ref: '#/components/schemas/PlatformTaskStatus'
        source:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskRequirement'
            - $ref: '#/components/schemas/PlatformTaskQuestion'
          title: Source
        priority:
          anyOf:
            - $ref: '#/components/schemas/TaskPriority'
            - type: 'null'
          default: medium
        is_managed:
          type: boolean
          title: Is Managed
          default: false
      type: object
      required:
        - id
        - title
        - status
        - source
      title: PlatformTask
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PlatformTaskStatus:
      type: string
      enum:
        - todo
        - deferred
        - in-progress
        - done
      title: PlatformTaskStatus
    PlatformTaskRequirement:
      properties:
        type:
          type: string
          const: requirement
          title: Type
          default: requirement
        context:
          oneOf:
            - $ref: '#/components/schemas/TaskContextEmployee'
            - $ref: '#/components/schemas/TaskContextLegalEntity'
          title: Context
          discriminator:
            propertyName: scope
            mapping:
              employee:
                $ref: '#/components/schemas/TaskContextEmployee'
              legal-entity:
                $ref: '#/components/schemas/TaskContextLegalEntity'
        requirement_id:
          type: string
          title: Requirement Id
        definition:
          type: string
          title: Definition
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        resources:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Resources
        period_start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Period Start Date
        period_end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Period End Date
        due_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Due Date
        region:
          $ref: '#/components/schemas/RegionRef'
        fee:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/FeeFixed'
                - $ref: '#/components/schemas/FeeRange'
                - $ref: '#/components/schemas/FeeVariable'
              discriminator:
                propertyName: type
                mapping:
                  fixed:
                    $ref: '#/components/schemas/FeeFixed'
                  range:
                    $ref: '#/components/schemas/FeeRange'
                  variable:
                    $ref: '#/components/schemas/FeeVariable'
            - type: 'null'
          title: Fee
        eta:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskETA'
            - type: 'null'
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/TagInstance'
              type: array
            - type: 'null'
          title: Tags
        default_resolution_name:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskResolutionType'
            - type: 'null'
        resolutions:
          $ref: '#/components/schemas/PlatformTaskRequirementResolutions'
        criteria_met:
          anyOf:
            - items:
                $ref: '#/components/schemas/PlatformTaskRequirementCriteria'
              type: array
            - type: 'null'
          title: Criteria Met
        unlocks:
          anyOf:
            - items:
                $ref: '#/components/schemas/PlatformTaskUnlocks'
              type: array
            - type: 'null'
          title: Unlocks
        category:
          $ref: '#/components/schemas/TaskCategory'
        automation_status:
          anyOf:
            - $ref: '#/components/schemas/PlatformRequirementTaskAutomationStatus'
            - type: 'null'
        automation_status_logs:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/PlatformRequirementTaskAutomationStatusChange
              type: array
            - type: 'null'
          title: Automation Status Logs
        agency_accounts:
          anyOf:
            - items:
                $ref: '#/components/schemas/PlatformAgencyAccount'
              type: array
            - type: 'null'
          title: Agency Accounts
      type: object
      required:
        - context
        - requirement_id
        - definition
        - resources
        - region
        - default_resolution_name
        - resolutions
        - category
      title: PlatformTaskRequirement
    PlatformTaskQuestion:
      properties:
        type:
          type: string
          const: question
          title: Type
          default: question
        regions:
          items:
            $ref: '#/components/schemas/RegionRef'
          type: array
          title: Regions
        region_scope:
          $ref: '#/components/schemas/LocationScope'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        answer:
          anyOf:
            - type: string
            - type: 'null'
          title: Answer
        is_editable:
          type: boolean
          title: Is Editable
        resolutions:
          $ref: '#/components/schemas/PlatformTaskQuestionResolutions'
        categories:
          items:
            $ref: '#/components/schemas/TaskCategory'
          type: array
          title: Categories
      type: object
      required:
        - regions
        - region_scope
        - is_editable
        - resolutions
        - categories
      title: PlatformTaskQuestion
    TaskPriority:
      type: string
      enum:
        - high
        - medium
        - low
      title: TaskPriority
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TaskContextEmployee:
      properties:
        scope:
          type: string
          const: employee
          title: Scope
          default: employee
        employee_id:
          type: string
          title: Employee Id
      type: object
      required:
        - employee_id
      title: TaskContextEmployee
    TaskContextLegalEntity:
      properties:
        scope:
          type: string
          const: legal-entity
          title: Scope
          default: legal-entity
        legal_entity_id:
          type: string
          title: Legal Entity Id
      type: object
      required:
        - legal_entity_id
      title: TaskContextLegalEntity
    RegionRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        parent_region:
          anyOf:
            - $ref: '#/components/schemas/RegionRef'
            - type: 'null'
      type: object
      required:
        - id
        - name
      title: RegionRef
    FeeFixed:
      properties:
        type:
          type: string
          const: fixed
          title: Type
          default: fixed
        amount:
          type: string
          title: Amount
      type: object
      required:
        - amount
      title: FeeFixed
    FeeRange:
      properties:
        type:
          type: string
          const: range
          title: Type
          default: range
        min:
          type: string
          title: Min
        max:
          type: string
          title: Max
      type: object
      required:
        - min
        - max
      title: FeeRange
    FeeVariable:
      properties:
        type:
          type: string
          const: variable
          title: Type
          default: variable
        reason:
          type: string
          title: Reason
      type: object
      required:
        - reason
      title: FeeVariable
    PlatformTaskETA:
      properties:
        estimation:
          $ref: '#/components/schemas/PlatformTaskEstimation'
        earliest_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Earliest Date
        latest_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Latest Date
      type: object
      required:
        - estimation
      title: PlatformTaskETA
    TagInstance:
      type: string
      enum:
        - certificate-of-good-standing
        - charity-registration
        - charity-registration-renewal
        - employee-final-wage-payment
        - employee-new-hire-reporting
        - employee-onboarding
        - employee-termination
        - employee-requirement
        - exemption
        - foreign-qualification
        - foreign-state-only
        - handbook
        - home-state-only
        - initial-statement
        - local-business-exemption-setup
        - local-business-setup
        - local-business-registration-renewal
        - local-business-tax-setup
        - local-payroll-setup
        - newspaper-publication
        - notices
        - payroll-setup
        - registered-agent
        - sos-report
        - check-account-logins
        - setup
        - tpa-setup
        - task-applicability-override
        - sales-tax
        - warn-notice
        - password-update
        - mail-delivery
      title: TagInstance
    PlatformTaskResolutionType:
      type: string
      enum:
        - manual
        - hosted
        - endpoint
      title: PlatformTaskResolutionType
    PlatformTaskRequirementResolutions:
      properties:
        hosted:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskResolutionHosted'
            - type: 'null'
        manual:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskResolutionManual'
            - type: 'null'
      type: object
      title: PlatformTaskRequirementResolutions
    PlatformTaskRequirementCriteria:
      properties:
        type:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskRequirementCriteriaType'
            - $ref: '#/components/schemas/CriteriaType'
          title: Type
        reason:
          type: string
          title: Reason
        task_id:
          type: string
          title: Task Id
      type: object
      required:
        - type
        - reason
        - task_id
      title: PlatformTaskRequirementCriteria
    PlatformTaskUnlocks:
      properties:
        requirement_id:
          type: string
          title: Requirement Id
        title:
          type: string
          title: Title
        definition:
          type: string
          title: Definition
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        resources:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Resources
        region:
          $ref: '#/components/schemas/RegionRef'
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/TagInstance'
              type: array
            - type: 'null'
          title: Tags
        source:
          type: string
          const: requirement
          title: Source
          default: requirement
      type: object
      required:
        - requirement_id
        - title
        - definition
        - resources
        - region
      title: PlatformTaskUnlocks
    PlatformRequirementTaskAutomationStatus:
      type: string
      enum:
        - started
        - waiting_for_start_file_date
        - waiting_on_state
        - waiting_on_signature
        - waiting_on_customer_response
        - complete
        - canceled
      title: PlatformRequirementTaskAutomationStatus
    PlatformRequirementTaskAutomationStatusChange:
      properties:
        status:
          $ref: '#/components/schemas/PlatformRequirementTaskAutomationStatus'
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - status
        - updated_at
      title: PlatformRequirementTaskAutomationStatusChange
    PlatformAgencyAccount:
      properties:
        region:
          $ref: '#/components/schemas/StateCode'
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        agency:
          $ref: '#/components/schemas/PlatformAgency'
        data:
          items:
            $ref: '#/components/schemas/PlatformAgencyAttributeAndValue'
          type: array
          title: Data
        logins:
          items:
            $ref: '#/components/schemas/PlatformLegalEntityAccountLogin'
          type: array
          title: Logins
      type: object
      required:
        - region
        - id
        - name
        - agency
        - data
        - logins
      title: PlatformAgencyAccount
    LocationScope:
      type: string
      enum:
        - entity
        - region
        - zip
        - city
      title: LocationScope
    PlatformTaskQuestionResolutions:
      properties:
        hosted:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskResolutionHosted'
            - type: 'null'
        endpoint:
          anyOf:
            - $ref: '#/components/schemas/PlatformTaskResolutionEndpoint'
            - type: 'null'
      type: object
      title: PlatformTaskQuestionResolutions
    PlatformTaskEstimation:
      properties:
        min:
          type: integer
          title: Min
        max:
          type: integer
          title: Max
        unit:
          $ref: '#/components/schemas/ETAUnit'
      type: object
      required:
        - min
        - max
        - unit
      title: PlatformTaskEstimation
    PlatformTaskResolutionHosted:
      properties:
        type:
          type: string
          const: hosted
          title: Type
          default: hosted
        description:
          type: string
          title: Description
        method:
          type: string
          title: Method
        url:
          type: string
          title: Url
        content_type:
          type: string
          title: Content Type
        fields:
          items:
            $ref: '#/components/schemas/ActionField'
          type: array
          title: Fields
      type: object
      required:
        - description
        - method
        - url
        - content_type
        - fields
      title: PlatformTaskResolutionHosted
      description: >-
        Directs a user to take action in order to start a hosted session to
        complete an action.
    PlatformTaskResolutionManual:
      properties:
        type:
          type: string
          const: manual
          title: Type
          default: manual
        steps:
          items:
            $ref: '#/components/schemas/PlatformTaskResolutionManualStep'
          type: array
          title: Steps
      type: object
      required:
        - steps
      title: PlatformTaskResolutionManual
    PlatformTaskRequirementCriteriaType:
      type: string
      enum:
        - requirement-done
      title: PlatformTaskRequirementCriteriaType
    CriteriaType:
      type: string
      enum:
        - has-employees
        - employee-count
        - employee-count-previous-year
        - total-employee-count-in-period
        - has-non-exempt-employees
        - employee-terminated
        - payroll-amount
        - has-physical-location
        - foreign-qualification-date
        - date-attribute
        - doing-business
        - business-income-tax-nexus
        - sales-tax-nexus
        - estimated-tax-liability
        - single-requirement
        - charitable-registration-nexus
        - partner-nexus
      title: CriteriaType
    PlatformAgency:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        website:
          type: string
          title: Website
      type: object
      required:
        - id
        - name
        - website
      title: PlatformAgency
    PlatformAgencyAttributeAndValue:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
        status:
          $ref: '#/components/schemas/PlatformAgencyAttributeStatus'
      type: object
      required:
        - name
        - description
        - value
        - status
      title: PlatformAgencyAttributeAndValue
    PlatformLegalEntityAccountLogin:
      properties:
        id:
          type: string
          title: Id
          description: The identifier of this Account Login
        name:
          type: string
          title: Name
          description: The name of the Login
        region:
          $ref: '#/components/schemas/StateCode'
          description: The state which the login belongs to
        url:
          type: string
          title: Url
          description: The url pointing to the login page for this Login
      type: object
      required:
        - id
        - name
        - region
        - url
      title: PlatformLegalEntityAccountLogin
    PlatformTaskResolutionEndpoint:
      properties:
        type:
          type: string
          const: endpoint
          title: Type
          default: endpoint
        description:
          type: string
          title: Description
        method:
          type: string
          title: Method
        url:
          type: string
          title: Url
        content_type:
          type: string
          title: Content Type
        fields:
          items:
            $ref: '#/components/schemas/ActionField'
          type: array
          title: Fields
      type: object
      required:
        - description
        - method
        - url
        - content_type
        - fields
      title: PlatformTaskResolutionEndpoint
      description: >-
        Directs a user to take action in order to resolve the task using an API
        endpoint.
    ETAUnit:
      type: string
      enum:
        - hour
        - day
        - week
        - month
      title: ETAUnit
    ActionField:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        required:
          type: boolean
          title: Required
        type:
          type: string
          title: Type
      type: object
      required:
        - name
        - description
        - required
        - type
      title: ActionField
    PlatformTaskResolutionManualStep:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        paths:
          items:
            $ref: '#/components/schemas/PlatformTaskResolutionManualStepPath'
          type: array
          title: Paths
        order:
          type: integer
          title: Order
      type: object
      required:
        - id
        - title
        - description
        - paths
        - order
      title: PlatformTaskResolutionManualStep
    PlatformAgencyAttributeStatus:
      type: string
      enum:
        - todo
        - in-progress
        - done
      title: PlatformAgencyAttributeStatus
    PlatformTaskResolutionManualStepPath:
      properties:
        type:
          type: string
          title: Type
        value:
          type: string
          title: Value
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
      type: object
      required:
        - type
        - value
      title: PlatformTaskResolutionManualStepPath
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/token

````